<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>mount</title>
</head>
<body>
    Instancia 1
    <div id="app">
        <p >{{titulo}}</p>
        <p v-html="link"></p>
        <input type="text" placeholder="texto" v-model="titulo">

    </div>
    <br>
    <hr>
    Instancia 2
    <div id="app2">
        <p >{{titulo}}</p>
        <p v-html="link"></p>
        <input type="text" placeholder="texto" v-model="titulo">

        <button @click="montar()">Monstar instancia #1</button>

    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>

        const app = new Vue({
            data: {
                link:"<a href='https://www.youtube.com'>Link de prueba</a>",
                titulo: "Instancia titulo"

            },
          
          
        })

        const app2 = new Vue({
            el:"#app2",
            data: {
                link:app.link,
                titulo: app.titulo

            },
            methods:{
                montar(){
                    app.$mount('#app')
                }
            }
          
          
        })
    </script>
</body>
</html>